## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTTrigger

All Superinterfaces:
  IASTDeployable, Node

    public interface IASTTrigger

extends IASTDeployable

Author:
  Hui Cao

Method Summary
`java.lang.String` `getTableName()`
`Node` `getTriggerEvents()`
`boolean` `isDeleteType()`
`boolean` `isInsertType()`
`boolean` `isUpdateType()`
`void` `setDeleteType(boolean deleteType)`
`void` `setInsertType(boolean insertType)`
`void` `setTableName(java.lang.String tableName)` Sets the subject table
`void` `setTriggerEvents(Node events)`
`void` `setUpdateType(boolean updateType)`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.IASTDeployable
`getDBObjectName, getNameNode, getSQLModel, getType, setNameNode, setSQLModel`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### getTriggerEvents

    Node getTriggerEvents()

### setTriggerEvents

    void setTriggerEvents(Node events)

### isDeleteType

    boolean isDeleteType()

### setDeleteType

    void setDeleteType(boolean deleteType)

### isInsertType

    boolean isInsertType()

### setInsertType

    void setInsertType(boolean insertType)

### isUpdateType

    boolean isUpdateType()

### setUpdateType

    void setUpdateType(boolean updateType)

### getTableName

    java.lang.String getTableName()

### setTableName

    void setTableName(java.lang.String tableName)

  Sets the subject table

  Parameters:
    `tableName` - could be full name